Delete the Target's configuration. - Fabric

Delete the Target's configuration

cURL

curl --request DELETE \
  --url https://prod01.oms.fabric.inc/api/v2/configurations/target-config/{serviceName}/{processName} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
import requests

url = "https://prod01.oms.fabric.inc/api/v2/configurations/target-config/{serviceName}/{processName}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/configurations/target-config/{serviceName}/{processName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Error Responses

{  "message": "Bad Request" }
{  "message": "Target Config not Found" }
{  "message": "Internal Server Error" }

Authorizations

Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-site-context
string
required
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.

Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

Path Parameters

serviceName
string
required

processName
string
required

Response

200
Target Configuration deleted.